<p style="color: red">{{ name }}</p>
<p [style.color]="'red'" [style.background-color]="'yellow'" [style.font-size.px]="50">{{ name }}</p>

<br />
<br />
<button (click)="isDanger = !isDanger">Toggle Danger</button>
<br />
<br />
<button (click)="isWarring = !isWarring">Toggle Warring</button>
<br />
<br />
<p [style.--text-color]="isDanger ? 'red' : 'blue'" [style]="{color: 'var(--text-color)', fontSize: '30px'}">{{ name }}</p>

<div class="box" [class.red-border]="isDanger" [class.yellow-background]="isWarring"></div>

<div class="box" [class]="{'red-border': isDanger, 'yellow-background': isWarring}"></div>

<div class="box" [class]="['red-border', 'yellow-background']"></div>

<div [class]="classes"></div>
